org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver

## Class RetryClassLevelClientForMaxRetries

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver.RetryClassLevelClientForMaxRetries

    @RequestScoped
     @Retry(maxRetries=2)
    public class RetryClassLevelClientForMaxRetries
    extends Object

A client to demonstrate the maxRetries and max duration configuration

Author:
  Emily Jiang

### Constructor Summary

Constructors
Constructor and Description
`RetryClassLevelClientForMaxRetries()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRetryCounterForServiceA()`
`int` `getRetryCounterForServiceB()`
`int` `getRetryCounterForServiceC()`
`int` `getRetryCountForConnectionService()`
`int` `getRetryCountForWritingService()`
`Connection` `serviceA()`
`void` `serviceB()` Max retries is configured to 90 but the max duration is 1 second with a default durationUnit of milliseconds.
`void` `serviceC()` Max retries is configured to 90 but the max duration is 1 second with a durationUnit of seconds specified.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryClassLevelClientForMaxRetries

    public RetryClassLevelClientForMaxRetries()

### Method Detail

#### serviceA

    public Connection serviceA()

#### getRetryCountForConnectionService

    public int getRetryCountForConnectionService()

#### serviceB

    @Retry(maxRetries=90,
           maxDuration=1000L)
    public void serviceB()

Max retries is configured to 90 but the max duration is 1 second with a default durationUnit of milliseconds. Once the duration is reached, no more retries should be performed.

#### serviceC

    @Retry(maxRetries=90,
           maxDuration=1L,
           durationUnit=SECONDS)
    public void serviceC()

Max retries is configured to 90 but the max duration is 1 second with a durationUnit of seconds specified. Once the duration is reached, no more retries should be performed.

#### getRetryCountForWritingService

    public int getRetryCountForWritingService()

#### getRetryCounterForServiceA

    public int getRetryCounterForServiceA()

#### getRetryCounterForServiceB

    public int getRetryCounterForServiceB()

#### getRetryCounterForServiceC

    public int getRetryCounterForServiceC()